"use strict";
const post_1 = require("../functions/post");
module.exports = (router, option) => {
    // Connect user
    router.post('/connect', async (req, res) => {
        await post_1.init.StartSession(req, res, option);
    });
    // Send a text message
    router.post('/sendtext', async (req, res) => {
        await post_1.init.sendtext(req, res);
    });
    // Send file
    router.post('/sendFile', async (req, res) => {
        await post_1.init.sendFile(req, res);
    });
    // Send Voice
    router.post('/sendAudio', async (req, res) => {
        await post_1.init.sendAudio(req, res);
    });
    // Send image message
    router.post('/sendImage', async (req, res) => {
        await post_1.init.sendImage(req, res);
    });
    // Route to test webhook
    router.post('/webhooktest', async (req, res) => {
        console.log('Return object ', req.body);
    });
};
//# sourceMappingURL=post.js.map